Khronos CTS failure on Bionic due to missing change in libegl1

Bug #1780039 reported by Sandeep on 2018-07-04
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libglvnd (Ubuntu)
Undecided
Timo Aaltonen
Bionic
Undecided
Unassigned

Bug Description

[Impact]
a commit needs to be backported to bionic so that a test passes

[Test case]
check that the test passes

[Regression potential]
low, the commit has been upstream for some time now

--

Currently Bionic contains 1.0.0-2ubuntu2 version of libegl1.

There is a bug in libEGL.so.1 due to which a Khronos CTS failure happens on ARM platform.

Cosmic has already upgraded to 1.0.0+git20180308-3ubuntu1 version of libegl1 where this bug is fixed.

Details of fix in liglvnd-EGL code: https://github.com/NVIDIA/libglvnd/issues/151
Failing Khronos CTS test: dEQP-EGL.functional.negative_api.make_current, which runs in bot OpenGL and OpenGL-ES CTS runs.

Without above test passing, we can't submit logs to Khronos for the CTS run.

Filing this bug to get libegl1 upgraded to cosmic's version in bionic repos.
We've verified locally on ARM platform, there are no issues present due to this upgrade.

Thanks.

Sandeep (sashinde) wrote :

We probably need to upgrade all glvnd libs for this as mentioned here: https://launchpad.net/ubuntu/cosmic/+source/libglvnd

Sandeep (sashinde) wrote :

A new upgrade (1.0.0-2ubuntu2.1) to bionic is released on 2018-07-09 but it does not contain the commit which fixes the issue being mentioned in the bug.

Missing commit: https://github.com/NVIDIA/libglvnd/commit/28e05b934903ac9ea104ddda3ef79e6103ca8456

Can you please update on when can we get above comment in the next upgrade of this package?

summary: - Upgrade libegl1 to 1.0.0+git20180308-3ubuntu1 present in Cosmic
+ Khronos CTS failure due to missing change in libegl1
summary: - Khronos CTS failure due to missing change in libegl1
+ Khronos CTS failure on Bionic due to missing change in libegl1
tags: added: bionic
tags: added: upgrade-software-version
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libglvnd (Ubuntu):
status: New → Confirmed
tags: removed: upgrade-software-version
Changed in libglvnd (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Kyle Brenneman (kyle-brenneman) wrote :

Liblgnvd has a new 1.1.0 point release, which includes that fix (as well as an assortment of others).

Łukasz Zemczak (sil2100) wrote :

This needs to have all the required SRU information filled out in the description before a proper queue review can happen. Thank yoU!

Timo Aaltonen (tjaalton) wrote :

fixed in cosmic which has 1.1.0

Changed in libglvnd (Ubuntu):
status: Confirmed → Fix Released
description: updated

Hello Sandeep, or anyone else affected,

Accepted libglvnd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libglvnd/1.0.0-2ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libglvnd (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Sandeep (sashinde) wrote :

Verified that earlier broken Khronos CTS test dEQP-EGL.functional.negative_api.make_current Passes with this update.

To upgrade libglvnd0, I did following:
1) Add "deb http://ports.ubuntu.com/ubuntu-ports bionic-proposed restricted main multiverse universe" in /etc/apt/sources.list
2) sudo apt-get update
3) sudo apt-get install --only-upgrade libglvnd0

Changed in libglvnd (Ubuntu Bionic):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
tags: added: verification-done-bionic
removed: verification-needed verification-needed-bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers